> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the principal profile

> Update the principal associated with the provided session



## OpenAPI

````yaml https://us-west-2.api.thenile.dev/v2/openapi put /v2/databases/{database}/me
openapi: 3.0.0
info:
  title: Nile auth API
  version: '0.1'
servers: []
security: []
tags: []
paths:
  /v2/databases/{database}/me:
    put:
      tags:
        - users
      summary: Update the principal profile
      description: Update the principal associated with the provided session
      operationId: updateMe
      parameters:
        - name: database
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  example: Jane Doe
                familyName:
                  type: string
                  example: Doe
                givenName:
                  type: string
                  example: Jane
                picture:
                  type: string
                  format: uri
                  example: https://example.com/avatar.jpg
                emailVerified:
                  type: boolean
                  description: Whether the user's email is verified
              required:
                - name
                - familyName
                - givenName
      responses:
        '200':
          description: Identified user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '400':
          description: API/Database failures
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not found
          content: {}
      security:
        - sessionCookie: []
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
        tenants:
          uniqueItems: true
          type: array
          items:
            type: string
        email:
          type: string
        name:
          type: string
        givenName:
          type: string
        familyName:
          type: string
        picture:
          type: string
        emailVerified:
          type: string
          format: date-time
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: nile-auth.session-token
      description: >-
        Session token stored in a cookie after user signs in, prefixed with
        __Secure if on https

````